Subject: Re: USB on MPC8272

From: Mike Rapoport <[email-masked]>
Date: Wed, 30 Nov 2005 08:43:15 +0200

Nathael PAJANI wrote:

> Hi all!
>
>
> I have to support USB hcd for an Actis board based on a MPC8248 
> processor. I already have a 2.6.9 linux kernel running fine on it, and 
> actualy have to use it rather than a newer one.
> I'm actualy looking for existing or ongoing jobs.

Dear Nathael,
As far as I understand there are several drivers for the MPC8272 usb 
host controller, and none of them is in
official kernel tree.
There's a driver in Metrowerks BSP for linux 2.6 for MPC8272 (the 
Freescale driver), an orignally mpc8xx driver by Brad Parker ported to 
linux 2.4 for MPC8272 by Pantelis Antoniou, there ought to be USB driver 
by ArabellaSW also.
My driver ("http://cpm2usb.sourceforge.net./") is a port of the Brad 
Parker's driver to linux 2.6 with some modifications.

-- 
Sincerely yours,
Mike Rapoport